from retab import MIMEData, Retab
client = Retab()
document = MIMEData(
filename="w9_empty.pdf",
url="https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
)
template = client.edits.templates.create(
name="W-9 Form",
document=document,
form_fields=[
{
"key": "full_name",
"description": "Full legal name of the taxpayer",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1},
},
{
"key": "tax_id",
"description": "Taxpayer Identification Number",
"type": "text",
"bbox": {"left": 0.15, "top": 0.28, "width": 0.25, "height": 0.03, "page": 1},
},
],
)
print(f"Template ID: {template.id}")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const document = {
filename: "w9_empty.pdf",
url: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
};
const template = await client.edits.templates.create("W-9 Form", document, [
{
key: "full_name",
description: "Full legal name of the taxpayer",
type: "text",
bbox: { left: 0.15, top: 0.2, width: 0.35, height: 0.03, page: 1 },
},
]);
console.log(`Template ID: ${template.id}`);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
document := retab.MIMEData{
Filename: "w9_empty.pdf",
URL: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
}
template, err := client.Edits.Templates.Create(ctx, &retab.EditTemplatesCreateParams{
Name: "W-9 Form",
Document: document,
FormFields: []*retab.FormField{
{
Key: "full_name",
Description: "Full legal name of the taxpayer",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.20, Width: 0.35, Height: 0.03, Page: 1},
},
{
Key: "tax_id",
Description: "Taxpayer Identification Number",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.28, Width: 0.25, Height: 0.03, Page: 1},
},
},
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("Template ID: %s\n", template.ID)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
document = {
filename: 'w9_empty.pdf',
url: 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
}
template = client.edits.templates.create(
name: 'W-9 Form',
document: document,
form_fields: [
{
'key' => 'full_name',
'description' => 'Full legal name of the taxpayer',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.20, 'width' => 0.35, 'height' => 0.03, 'page' => 1 },
},
{
'key' => 'tax_id',
'description' => 'Taxpayer Identification Number',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.28, 'width' => 0.25, 'height' => 0.03, 'page' => 1 },
},
],
)
puts "Template ID: #{template.id}"
use retab::enums::FieldType;
use retab::models::{BBox, FormField};
use retab::resources::edit_templates::CreateParams;
use retab::{MimeData, Retab};
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let document = MimeData::new(
"w9_empty.pdf",
"https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
);
let form_fields = vec![
FormField {
bbox: BBox { left: 0.15, top: 0.20, width: 0.35, height: 0.03, page: 1 },
description: "Full legal name of the taxpayer".into(),
type_: FieldType::Text,
key: "full_name".into(),
value: None,
},
FormField {
bbox: BBox { left: 0.15, top: 0.28, width: 0.25, height: 0.03, page: 1 },
description: "Taxpayer Identification Number".into(),
type_: FieldType::Text,
key: "tax_id".into(),
value: None,
},
];
let params = CreateParams::new("W-9 Form", document, form_fields);
let template = client.edits().templates().create(params).await?;
println!("Template ID: {}", template.id);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->edits()->templates()->create(
name: 'value',
document: [
'filename' => 'w9_empty.pdf',
'url' => 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
],
formFields: [],
);
print_r($result);
using System;
using System.Collections.Generic;
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var document = MimeData.FromUrl(
new Uri("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
var template = await client.Edits.Templates.CreateAsync(new EditTemplatesCreateOptions
{
Name = "W-9 Form",
Document = document,
FormFields = new List<FormField>
{
new FormField
{
Key = "full_name",
Description = "Full legal name of the taxpayer",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.20, Width = 0.35, Height = 0.03, Page = 1 },
},
new FormField
{
Key = "tax_id",
Description = "Taxpayer Identification Number",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.28, Width = 0.25, Height = 0.03, Page = 1 },
},
},
});
Console.WriteLine($"Template ID: {template.Id}");
import com.retab.RetabClient;
import com.retab.models.BBox;
import com.retab.models.EditTemplate;
import com.retab.models.FormField;
import com.retab.models.MimeData;
import com.retab.types.FieldType;
import java.net.URI;
import java.util.List;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
MimeData document =
MimeData.fromUrl(
URI.create("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
List<FormField> formFields =
List.of(
new FormField(
new BBox(0.15, 0.20, 0.35, 0.03, 1L),
"Full legal name of the taxpayer",
FieldType.TEXT,
"full_name",
null),
new FormField(
new BBox(0.15, 0.28, 0.25, 0.03, 1L),
"Taxpayer Identification Number",
FieldType.TEXT,
"tax_id",
null));
EditTemplate template = client.edits().templates().create("W-9 Form", document, formFields);
System.out.println("Template ID: " + template.getId());
}
}
curl -X POST \
'https://api.retab.com/v1/edits/templates' \
-H "Authorization: Bearer $RETAB_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"name": "W-9 Form",
"document": {
"filename": "w9_empty.pdf",
"url": "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1}
}
]
}'
{
"id": "edittplt_abc123",
"name": "W-9 Form",
"file": {
"id": "file_6dd6eb00688ad8d1",
"filename": "w9_empty.pdf",
"mime_type": "application/pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"value": null,
"bbox": {
"left": 0.15,
"top": 0.2,
"width": 0.35,
"height": 0.03,
"page": 1
}
}
],
"field_count": 1,
"created_at": "2024-03-15T10:30:00Z",
"updated_at": "2024-03-15T10:30:00Z"
}
Create Template
Create an edit template.
Stores a reusable form template from an empty document (PDF or Office
document) plus its form_fields and a name. Later edits can reference the
returned template id instead of re-uploading the document. An unsupported
document format responds with 400; on success responds with 201.
from retab import MIMEData, Retab
client = Retab()
document = MIMEData(
filename="w9_empty.pdf",
url="https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
)
template = client.edits.templates.create(
name="W-9 Form",
document=document,
form_fields=[
{
"key": "full_name",
"description": "Full legal name of the taxpayer",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1},
},
{
"key": "tax_id",
"description": "Taxpayer Identification Number",
"type": "text",
"bbox": {"left": 0.15, "top": 0.28, "width": 0.25, "height": 0.03, "page": 1},
},
],
)
print(f"Template ID: {template.id}")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const document = {
filename: "w9_empty.pdf",
url: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
};
const template = await client.edits.templates.create("W-9 Form", document, [
{
key: "full_name",
description: "Full legal name of the taxpayer",
type: "text",
bbox: { left: 0.15, top: 0.2, width: 0.35, height: 0.03, page: 1 },
},
]);
console.log(`Template ID: ${template.id}`);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
document := retab.MIMEData{
Filename: "w9_empty.pdf",
URL: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
}
template, err := client.Edits.Templates.Create(ctx, &retab.EditTemplatesCreateParams{
Name: "W-9 Form",
Document: document,
FormFields: []*retab.FormField{
{
Key: "full_name",
Description: "Full legal name of the taxpayer",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.20, Width: 0.35, Height: 0.03, Page: 1},
},
{
Key: "tax_id",
Description: "Taxpayer Identification Number",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.28, Width: 0.25, Height: 0.03, Page: 1},
},
},
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("Template ID: %s\n", template.ID)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
document = {
filename: 'w9_empty.pdf',
url: 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
}
template = client.edits.templates.create(
name: 'W-9 Form',
document: document,
form_fields: [
{
'key' => 'full_name',
'description' => 'Full legal name of the taxpayer',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.20, 'width' => 0.35, 'height' => 0.03, 'page' => 1 },
},
{
'key' => 'tax_id',
'description' => 'Taxpayer Identification Number',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.28, 'width' => 0.25, 'height' => 0.03, 'page' => 1 },
},
],
)
puts "Template ID: #{template.id}"
use retab::enums::FieldType;
use retab::models::{BBox, FormField};
use retab::resources::edit_templates::CreateParams;
use retab::{MimeData, Retab};
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let document = MimeData::new(
"w9_empty.pdf",
"https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
);
let form_fields = vec![
FormField {
bbox: BBox { left: 0.15, top: 0.20, width: 0.35, height: 0.03, page: 1 },
description: "Full legal name of the taxpayer".into(),
type_: FieldType::Text,
key: "full_name".into(),
value: None,
},
FormField {
bbox: BBox { left: 0.15, top: 0.28, width: 0.25, height: 0.03, page: 1 },
description: "Taxpayer Identification Number".into(),
type_: FieldType::Text,
key: "tax_id".into(),
value: None,
},
];
let params = CreateParams::new("W-9 Form", document, form_fields);
let template = client.edits().templates().create(params).await?;
println!("Template ID: {}", template.id);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->edits()->templates()->create(
name: 'value',
document: [
'filename' => 'w9_empty.pdf',
'url' => 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
],
formFields: [],
);
print_r($result);
using System;
using System.Collections.Generic;
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var document = MimeData.FromUrl(
new Uri("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
var template = await client.Edits.Templates.CreateAsync(new EditTemplatesCreateOptions
{
Name = "W-9 Form",
Document = document,
FormFields = new List<FormField>
{
new FormField
{
Key = "full_name",
Description = "Full legal name of the taxpayer",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.20, Width = 0.35, Height = 0.03, Page = 1 },
},
new FormField
{
Key = "tax_id",
Description = "Taxpayer Identification Number",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.28, Width = 0.25, Height = 0.03, Page = 1 },
},
},
});
Console.WriteLine($"Template ID: {template.Id}");
import com.retab.RetabClient;
import com.retab.models.BBox;
import com.retab.models.EditTemplate;
import com.retab.models.FormField;
import com.retab.models.MimeData;
import com.retab.types.FieldType;
import java.net.URI;
import java.util.List;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
MimeData document =
MimeData.fromUrl(
URI.create("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
List<FormField> formFields =
List.of(
new FormField(
new BBox(0.15, 0.20, 0.35, 0.03, 1L),
"Full legal name of the taxpayer",
FieldType.TEXT,
"full_name",
null),
new FormField(
new BBox(0.15, 0.28, 0.25, 0.03, 1L),
"Taxpayer Identification Number",
FieldType.TEXT,
"tax_id",
null));
EditTemplate template = client.edits().templates().create("W-9 Form", document, formFields);
System.out.println("Template ID: " + template.getId());
}
}
curl -X POST \
'https://api.retab.com/v1/edits/templates' \
-H "Authorization: Bearer $RETAB_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"name": "W-9 Form",
"document": {
"filename": "w9_empty.pdf",
"url": "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1}
}
]
}'
{
"id": "edittplt_abc123",
"name": "W-9 Form",
"file": {
"id": "file_6dd6eb00688ad8d1",
"filename": "w9_empty.pdf",
"mime_type": "application/pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"value": null,
"bbox": {
"left": 0.15,
"top": 0.2,
"width": 0.35,
"height": 0.03,
"page": 1
}
}
],
"field_count": 1,
"created_at": "2024-03-15T10:30:00Z",
"updated_at": "2024-03-15T10:30:00Z"
}
EditTemplate — a PDF plus a set of pre-defined form fields that can be filled repeatedly via POST /v1/edits with template_id.
from retab import MIMEData, Retab
client = Retab()
document = MIMEData(
filename="w9_empty.pdf",
url="https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
)
template = client.edits.templates.create(
name="W-9 Form",
document=document,
form_fields=[
{
"key": "full_name",
"description": "Full legal name of the taxpayer",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1},
},
{
"key": "tax_id",
"description": "Taxpayer Identification Number",
"type": "text",
"bbox": {"left": 0.15, "top": 0.28, "width": 0.25, "height": 0.03, "page": 1},
},
],
)
print(f"Template ID: {template.id}")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
const document = {
filename: "w9_empty.pdf",
url: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
};
const template = await client.edits.templates.create("W-9 Form", document, [
{
key: "full_name",
description: "Full legal name of the taxpayer",
type: "text",
bbox: { left: 0.15, top: 0.2, width: 0.35, height: 0.03, page: 1 },
},
]);
console.log(`Template ID: ${template.id}`);
package main
import (
"context"
"fmt"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
document := retab.MIMEData{
Filename: "w9_empty.pdf",
URL: "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
}
template, err := client.Edits.Templates.Create(ctx, &retab.EditTemplatesCreateParams{
Name: "W-9 Form",
Document: document,
FormFields: []*retab.FormField{
{
Key: "full_name",
Description: "Full legal name of the taxpayer",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.20, Width: 0.35, Height: 0.03, Page: 1},
},
{
Key: "tax_id",
Description: "Taxpayer Identification Number",
Type: retab.FieldTypeText,
Bbox: retab.BBox{Left: 0.15, Top: 0.28, Width: 0.25, Height: 0.03, Page: 1},
},
},
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("Template ID: %s\n", template.ID)
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
document = {
filename: 'w9_empty.pdf',
url: 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
}
template = client.edits.templates.create(
name: 'W-9 Form',
document: document,
form_fields: [
{
'key' => 'full_name',
'description' => 'Full legal name of the taxpayer',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.20, 'width' => 0.35, 'height' => 0.03, 'page' => 1 },
},
{
'key' => 'tax_id',
'description' => 'Taxpayer Identification Number',
'type' => 'text',
'bbox' => { 'left' => 0.15, 'top' => 0.28, 'width' => 0.25, 'height' => 0.03, 'page' => 1 },
},
],
)
puts "Template ID: #{template.id}"
use retab::enums::FieldType;
use retab::models::{BBox, FormField};
use retab::resources::edit_templates::CreateParams;
use retab::{MimeData, Retab};
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
let document = MimeData::new(
"w9_empty.pdf",
"https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf",
);
let form_fields = vec![
FormField {
bbox: BBox { left: 0.15, top: 0.20, width: 0.35, height: 0.03, page: 1 },
description: "Full legal name of the taxpayer".into(),
type_: FieldType::Text,
key: "full_name".into(),
value: None,
},
FormField {
bbox: BBox { left: 0.15, top: 0.28, width: 0.25, height: 0.03, page: 1 },
description: "Taxpayer Identification Number".into(),
type_: FieldType::Text,
key: "tax_id".into(),
value: None,
},
];
let params = CreateParams::new("W-9 Form", document, form_fields);
let template = client.edits().templates().create(params).await?;
println!("Template ID: {}", template.id);
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$result = $client->edits()->templates()->create(
name: 'value',
document: [
'filename' => 'w9_empty.pdf',
'url' => 'https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf',
],
formFields: [],
);
print_r($result);
using System;
using System.Collections.Generic;
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
var document = MimeData.FromUrl(
new Uri("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
var template = await client.Edits.Templates.CreateAsync(new EditTemplatesCreateOptions
{
Name = "W-9 Form",
Document = document,
FormFields = new List<FormField>
{
new FormField
{
Key = "full_name",
Description = "Full legal name of the taxpayer",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.20, Width = 0.35, Height = 0.03, Page = 1 },
},
new FormField
{
Key = "tax_id",
Description = "Taxpayer Identification Number",
Type = FieldType.Text,
Bbox = new BBox { Left = 0.15, Top = 0.28, Width = 0.25, Height = 0.03, Page = 1 },
},
},
});
Console.WriteLine($"Template ID: {template.Id}");
import com.retab.RetabClient;
import com.retab.models.BBox;
import com.retab.models.EditTemplate;
import com.retab.models.FormField;
import com.retab.models.MimeData;
import com.retab.types.FieldType;
import java.net.URI;
import java.util.List;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
MimeData document =
MimeData.fromUrl(
URI.create("https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"));
List<FormField> formFields =
List.of(
new FormField(
new BBox(0.15, 0.20, 0.35, 0.03, 1L),
"Full legal name of the taxpayer",
FieldType.TEXT,
"full_name",
null),
new FormField(
new BBox(0.15, 0.28, 0.25, 0.03, 1L),
"Taxpayer Identification Number",
FieldType.TEXT,
"tax_id",
null));
EditTemplate template = client.edits().templates().create("W-9 Form", document, formFields);
System.out.println("Template ID: " + template.getId());
}
}
curl -X POST \
'https://api.retab.com/v1/edits/templates' \
-H "Authorization: Bearer $RETAB_API_KEY" \
-H 'Content-Type: application/json' \
-d '{
"name": "W-9 Form",
"document": {
"filename": "w9_empty.pdf",
"url": "https://my-bucket.s3.us-east-1.amazonaws.com/documents/w9_empty.pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"bbox": {"left": 0.15, "top": 0.20, "width": 0.35, "height": 0.03, "page": 1}
}
]
}'
{
"id": "edittplt_abc123",
"name": "W-9 Form",
"file": {
"id": "file_6dd6eb00688ad8d1",
"filename": "w9_empty.pdf",
"mime_type": "application/pdf"
},
"form_fields": [
{
"key": "full_name",
"description": "Full legal name",
"type": "text",
"value": null,
"bbox": {
"left": 0.15,
"top": 0.2,
"width": 0.35,
"height": 0.03,
"page": 1
}
}
],
"field_count": 1,
"created_at": "2024-03-15T10:30:00Z",
"updated_at": "2024-03-15T10:30:00Z"
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Response
Successful Response
A reusable edit template: an empty PDF and the form_fields defined on it.
Unique identifier of the template.
Name of the template.
File information for the empty PDF template.
Show child attributes
Show child attributes
Form fields attached to the template.
Show child attributes
Show child attributes
Number of form fields in the template.
Timestamp of creation.
Timestamp of last update.